summaryrefslogtreecommitdiffstats
path: root/tools/regression/geom_raid3/test-4.t
diff options
context:
space:
mode:
authorpjd <pjd@FreeBSD.org>2005-12-07 01:28:59 +0000
committerpjd <pjd@FreeBSD.org>2005-12-07 01:28:59 +0000
commitef0831aea70602babedaa00fedcd6cfb669b307f (patch)
tree83f3adcca4a8b284481a6fb69ff62b202791f9a7 /tools/regression/geom_raid3/test-4.t
parent970cb6f33aae948b2c2990bead31ab20c87991ce (diff)
downloadFreeBSD-src-ef0831aea70602babedaa00fedcd6cfb669b307f.zip
FreeBSD-src-ef0831aea70602babedaa00fedcd6cfb669b307f.tar.gz
Convert graid3(8) regression tests to the new framework.
Diffstat (limited to 'tools/regression/geom_raid3/test-4.t')
-rw-r--r--tools/regression/geom_raid3/test-4.t43
1 files changed, 43 insertions, 0 deletions
diff --git a/tools/regression/geom_raid3/test-4.t b/tools/regression/geom_raid3/test-4.t
new file mode 100644
index 0000000..d437ec0
--- /dev/null
+++ b/tools/regression/geom_raid3/test-4.t
@@ -0,0 +1,43 @@
+#!/bin/sh
+# $FreeBSD$
+
+. `dirname $0`/conf.sh
+
+echo "1..1"
+
+us0=45
+us1=`expr $us0 + 1`
+us2=`expr $us0 + 2`
+ddbs=2048
+nblocks1=1024
+nblocks2=`expr $nblocks1 / \( $ddbs / 512 \)`
+src=`mktemp /tmp/$base.XXXXXX` || exit 1
+dst=`mktemp /tmp/$base.XXXXXX` || exit 1
+
+dd if=/dev/random of=${src} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+
+mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us0 || exit 1
+mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us1 || exit 1
+mdconfig -a -t malloc -s `expr $nblocks1 + 1` -u $us2 || exit 1
+
+graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+devwait
+
+#
+# Writing without one DATA component.
+#
+graid3 remove -n 1 $name
+dd if=${src} of=/dev/raid3/${name} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+
+dd if=/dev/raid3/${name} of=${dst} bs=$ddbs count=$nblocks2 >/dev/null 2>&1
+if [ `md5 -q ${src}` != `md5 -q ${dst}` ]; then
+ echo "not ok 1"
+else
+ echo "ok 1"
+fi
+
+graid3 stop $name
+mdconfig -d -u $us0
+mdconfig -d -u $us1
+mdconfig -d -u $us2
+rm -f ${src} ${dst}
OpenPOWER on IntegriCloud